Get private locations

GET /api/synthetics/private_locations

Spaces method and path for this operation:

get /s/{space_id}/api/synthetics/private_locations

Refer to Spaces for more information.

Get a list of private locations.

You must have read privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.

[Required authorization] Route required privileges: uptime-read.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • agentPolicyId string

      The ID of the agent policy associated with the private location.

    • geo object

      Geographic coordinates (WGS84) for the location.

      Hide geo attributes Show geo attributes object
      • lat number Required

        The latitude of the location.

      • lon number Required

        The longitude of the location.

    • id string

      The unique identifier of the private location.

    • isInvalid boolean

      Indicates whether the location is invalid. If true, the location is invalid, which means the agent policy associated with the location is deleted.

    • label string

      A label for the private location.

    • namespace string

      The namespace of the location, which is the same as the namespace of the agent policy associated with the location.

    • spaces array[string]

      The space IDs where the private location is available.

    • tags array[string]

      An array of tags to categorize the private location.

GET /api/synthetics/private_locations
curl \
  -X GET "${KIBANA_URL}/api/synthetics/private_locations" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/private_locations
Response examples (200)
[
  {
    "agentPolicyId": "fleet-server-policy",
    "geo": {
      "lat": 0,
      "lon": 0
    },
    "id": "fleet-server-policy",
    "isInvalid": false,
    "label": "Test private location",
    "namespace": "default"
  },
  {
    "agentPolicyId": "691225b0-6ced-11ee-8f5a-376306ee85ae",
    "geo": {
      "lat": 0,
      "lon": 0
    },
    "id": "691225b0-6ced-11ee-8f5a-376306ee85ae",
    "isInvalid": false,
    "label": "Test private location 2",
    "namespace": "test"
  }
]